<%@ Import Namespace="System.Net" %>

<Script runat="server">
Public Sub Page_Load(sender As Object, e As EventArgs)
  ' Create an instance of the SecureSample proxy
  Dim secureSample As New SecureSample()

  ' Create a new NetworkCredential class
  Dim credentials As New NetworkCredential()

  ' Set username and password values
  credentials.UserName = "demo"
  credentials.Password = "00Password"
  credentials.Domain = "rhoward-laptop"

  ' Set the credentials
  secureSample.Credentials = credentials

  ' Call its WhoAreYou() function
  lblSecureSample.Text = secureSample.WhoAreYou()  
End Sub

</Script>
<asp:label id="lblSecureSample" runat="server"/>